unit UTutor;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls;

type
  TPage = Record
            Title:PChar;
            Text:PChar;
          End;
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Bevel1: TBevel;
    Bevel3: TBevel;
    procedure FormPaint(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Page:Array[1..7] Of TPage;
    CurPage:Integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormPaint(Sender: TObject);
Var
   R:TRect;
begin
  With Canvas Do
  Begin
    Brush.Color:=clSilver;
    R:=Rect(9,9,Bevel3.Width-1,Bevel3.Height-1);
    FillRect(R);
    Brush.Style:=bsClear;
    Font.Style:=[fsBold];
    Font.Size:=10;
    R:=Rect(18,28,Bevel3.Width,Bevel3.Height);
    DrawText(Handle,Page[CurPage].Title,Length(Page[CurPage].Title),R,DT_LEFT OR DT_WORDBREAK);
    R.Top:=R.Top+40;
    R.Left:=38;
    Font.Color:=clNavy;
    DrawText(Handle,Page[CurPage].Text,Length(Page[CurPage].Text),R,DT_LEFT OR DT_WORDBREAK OR DT_CALCRECT);
    DrawText(Handle,Page[CurPage].Text,Length(Page[CurPage].Text),R,DT_LEFT OR DT_WORDBREAK);
    Font.Color:=clBlack;
    R.Left:=18;
    R.Top:=R.Bottom+20;
    R.Bottom:=Bevel3.Height;
    If CurPage<7 Then
      DrawText(Handle,'Click on the next button to continue',36,R,DT_LEFT OR DT_WORDBREAK)
    Else
      DrawText(Handle,'Click on the exit button to quit',32,R,DT_LEFT OR DT_WORDBREAK)
  End;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  CurPage:=1;
  Left:=(Screen.Width-Width) Div 2;
  Top:=(Screen.Height-Height) Div 2;
  Page[1].Title:='This tutorial is going to explain you how to use MenuEx '+
                 'components.'+#13+'Here are different steps :';
  Page[1].Text:='- How to create a menu with icons ?'+#13+#13+
                '- How to create a menu with bitmaps and text ?'+#13+#13+
                '- How to create a menu with images ?'+#13+#13+
                '- How to create a menu with text on a background of the image ?'+#13+#13+
                '- How tu use the msCustom1 style ?'+#13+#13+
                '- How to add a banner like in the Windows 95 Start menu ?';

  Page[2].Title:='How to create a menu with icons ?';
  Page[2].Text:='1 - Create a traditional menu'+#13+#13+
                '2 - Then, add a TChangeMenu,'+#13+
                '     Fill the the MenuItem Property with the item of the menu what you want.'+#13+#13+
                '3 - Set the msIconText style in the Style property '+
                'and the Icon in the Icon property.'+#13+#13+
                '4 - You can also modify text properties (Font, Default3DColor,...)'+#13+#13+
                '5 - Repeat 2,3,4 steps for the other items.';
  Page[3].Title:='How to create a menu with bitmaps and text ?';
  Page[3].Text:='1 - Create a traditional menu'+#13+#13+
                '2 - Then, add a TChangeMenu,'+#13+
                '     Fill the  MenuItem Property with the item of the menu what you want.'+#13+#13+
                '3 - Set the msBitmapText style in the Style property '+
                'and add a Bitmap in the BitmapUp property.'+#13+#13+
                '4 - If you want another bitmap when the cursor move on the item'+
                ' then put a bitmap in the BitmapDown property. Set the '+
                'UseBitmapDown at true.'+#13+#13+
                '5 - If you want a transparent bitmap the set Transparent at true.'+#13+#13+
                '6 - Repeat 2,3,4,5 for others items.';
  Page[4].Title:='How to create a menu with only images ?';
  Page[4].Text:='1 - Create a traditional menu'+#13+#13+
                '2 - Then, add a TChangeMenu,'+#13+
                '     Fill the MenuItem Property with the item of the menu what you want.'+#13+#13+
                '3 - If you want to use only one bitmap then choose the msBitmapInverted '+
                'style in the Style Property and put a bitmap in the BitmapUp Property. '+
                'When the cursor select the Item, the bitmap is inverted.'+#13+
                'If you want to use two bitmaps then put the msBitmapUpDown style. '+
                'And you must put a bitmap in the BitmapUp Property and another '+
                'in the BitmapDown Property. The BitmapDown bitmap is used '+
                'when the cursor select the item.'+#13+#13+
                '4 - For others items, repeat 2 and 3.';
  Page[5].Title:='How to create a menu with text on a background of the image ?';
  Page[5].Text:='1 - Create a traditional menu'+#13+#13+
                '2 - Then, add a TChangeMenu,'+#13+
                '     Fill the MenuItem Property with the item of the menu what you want.'+#13+#13+
                '3 - Set the msBitmapTextInverted Style. Add a bitmap in the BitmapUp '+
                'Property. You must use the same bitmap for others items. Don''t use '+
                'a bitmap too small. You can also modify text properties (Font, '+
                'DefaultColor,...).'+#13+#13+
                '4 - For others items, repeat 2 and 3.';
  Page[6].Title:='How tu use the msCustom1 style ?';
  Page[6].Text:='1 - Create a traditional menu'+#13+#13+
                '2 - Then, add a TChangeMenu,'+#13+
                '     Fill the MenuItem Property with the item of the menu what you want.'+#13+#13+
                '3 - Put the msCustom1 style in the MenuStyle Property and possibly '+
                'to modify text properties.'+#13+#13+
                '4 - For others items, repeat 2 and 3.';
  Page[7].Title:='How to add a banner like in the Windows 95 Start menu ?';
  Page[7].Text:='1 - You must tranform the traditional menu with TChangeMenu.'+
                ' Please see before if you don''t know.'+#13+#13+
                '2 - You must put the True value in the ShowBanner property at the '+
                'last item of the menu. Then you put a value in the BannerWidth '+
                'property. And you repeat it into all items of the menu. '+
                'Then you type the text in the BannerCaption property at the last '+
                'item of the menu. You can also modify the font in the '+
                'BannerFont property.'+#13+#13+
                '3 - If you want a gradient then set the bsGradient style in '+
                'the BannerStyle Property. And put the first color in BannerStartColor '+
                'and the end color in BannerEndColor.'+#13+
                'If you want a sample color then set the bsBackGround style '+
                'and put a color in BannerStartColor.'; 
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Inc(CurPage);
  If CurPage>7 Then CurPage:=7
  Else
    Paint;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Dec(CurPage);
  If CurPage<1 Then CurPage:=1
  Else
   Paint;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Close;
end;

end.
